@import "assets/scss/global";

.wrapper-modal {
    width: calc(100% - 32px) !important;
    max-width: 560px !important;
    display: flex !important;
    align-items: center;
    overflow: auto;
    min-height: calc(100% - 32px);
    margin: 16px auto !important;

    >[class~='rs-modal-dialog'] {
        width: 100%;

        >[class~='rs-modal-content'] {
            border-radius: 32px 24px;
            padding: 0;

            .head {
                padding: 16px;
                text-align: center;
                background: rgba(118, 96, 254, 0.90) url("/images-v2/congratulations-bg.png");
                background-position: center;
                background-size: cover;
                border-radius: 24px 24px 0 0;

                .title {
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 26px;
                    color: #FFF;

                    .user {
                        font-size: 20px;
                        line-height: 28px;
                        font-weight: 700;
                    }
                }
            }

            .content {
                padding: 24px;
                color: #202226;

                .reward {
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 26px;

                    ul {
                        padding-left: 32px;
                        list-style: armenian;
                        margin: 0;
                        margin-top: 6px;

                        li {
                            list-style-type: disc;
                            font-size: 16px;
                            font-weight: 500;
                        }
                    }

                    .tag-line {
                        color: #FF6337;
                        font-size: 20px;
                        font-weight: 800;
                        margin-top: 24px;
                        text-align: center;
                    }
                }

                button {
                    margin: auto;
                    border-radius: 12px;
                    background: #F6F6F6;
                    box-shadow: none;
                    color: #8E91A0;
                    min-width: 128px;
                    text-align: center;
                    margin-top: 24px;
                }
            }
        }
    }
}